=head1 NAME

Gnome2::AppBar - wrapper for GnomeAppBar

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::HBox
                                +----Gnome2::AppBar



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Orientable



=cut


=head1 METHODS

=head2 widget = Gnome2::AppBar-E<gt>B<new> ($has_progress, $has_status, $interactivity)

=over

=item * $has_progress (boolean) 

=item * $has_status (boolean) 

=item * $interactivity (Gnome2::PreferencesType) 

=back

=head2 $appbar-E<gt>B<clear_prompt> 

=head2 $appbar-E<gt>B<clear_stack> 

=head2 $appbar-E<gt>B<set_default> ($default_status)

=over

=item * $default_status (string) 

=back

=head2 $appbar-E<gt>B<install_menu_hints> ($uiinfo)

=over

=item * $uiinfo (Gnome2::UIInfo) 

=back

=head2 $appbar-E<gt>B<pop> 

=head2 progressbar = $appbar-E<gt>B<get_progress> 

=head2 $appbar-E<gt>B<set_progress_percentage> ($percentage)

=over

=item * $percentage (double) 

=back

=head2 $appbar-E<gt>B<set_prompt> ($prompt, $modal)

=over

=item * $prompt (string) 

=item * $modal (boolean) 

=back

=head2 $appbar-E<gt>B<push> ($status)

=over

=item * $status (string) 

=back

=head2 $appbar-E<gt>B<refresh> 

=head2 string = $appbar-E<gt>B<get_response> 

=head2 widget = $appbar-E<gt>B<get_status> 

=head2 $appbar-E<gt>B<set_status> ($status)

=over

=item * $status (string) 

=back



=cut


=head1 PROPERTIES

=over

=item 'has-progress' (boolean : default false : readable / writable / construct)

Create a progress widget.

=item 'has-status' (boolean : default false : readable / writable / construct)

Create a status widget.

=item 'interactivity' (Gnome2::PreferencesType : default "never" : readable / writable / construct)

Level of user activity required.

=back



=cut


=head1 SIGNALS

=over

=item B<clear-prompt> (Gnome2::AppBar)

=item B<user-response> (Gnome2::AppBar)

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gnome2::PreferencesType

=over

=item * 'never' / 'GNOME_PREFERENCES_NEVER'

=item * 'user' / 'GNOME_PREFERENCES_USER'

=item * 'always' / 'GNOME_PREFERENCES_ALWAYS'

=back




=cut


=head1 SEE ALSO

L<Gnome2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Box>, L<Gtk2::HBox>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gnome2> for a full notice.



=cut

